(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('fs'), require('path'), require('url'), require('feather-icons'), require('handlebars'), require('micromark'), require('striptags')) :
  typeof define === 'function' && define.amd ? define(['exports', 'fs', 'path', 'url', 'feather-icons', 'handlebars', 'micromark', 'striptags'], factory) :
  (global = global || self, factory(global.jsonresumeThemeEven = {}, global.fs, global.path, global.url, global.featherIcons, global.handlebars, global.micromark, global.striptags));
})(this, (function (exports, fs, path, url, featherIcons, Handlebars, micromark, striptags) {
  function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

  var fs__default = /*#__PURE__*/_interopDefaultLegacy(fs);
  var path__default = /*#__PURE__*/_interopDefaultLegacy(path);
  var Handlebars__default = /*#__PURE__*/_interopDefaultLegacy(Handlebars);
  var micromark__default = /*#__PURE__*/_interopDefaultLegacy(micromark);
  var striptags__default = /*#__PURE__*/_interopDefaultLegacy(striptags);

  const dirname = typeof __dirname === 'string' ? __dirname : path__default["default"].dirname(url.fileURLToPath((typeof document === 'undefined' && typeof location === 'undefined' ? new (require('u' + 'rl').URL)('file:' + __filename).href : typeof document === 'undefined' ? location.href : (document.currentScript && document.currentScript.src || new URL('index.umd.js', document.baseURI).href))));
  const extname = '.hbs';
  const partialsDir = path__default["default"].join(dirname, 'partials');
  fs__default["default"].readdirSync(partialsDir).filter(filename => path__default["default"].extname(filename) === extname).map(filename => [filename, fs__default["default"].readFileSync(path__default["default"].join(partialsDir, filename), 'utf8')]).forEach(([filename, template]) => Handlebars__default["default"].registerPartial(path__default["default"].basename(filename, extname), template));
  Handlebars__default["default"].registerHelper('formatCountry', countryCode => Intl.DisplayNames ? new Intl.DisplayNames(['en'], {
    type: 'region'
  }).of(countryCode) : countryCode);
  Handlebars__default["default"].registerHelper('formatDate', dateString => new Date(dateString).toLocaleDateString('en', {
    month: 'short',
    year: 'numeric'
  }));
  Handlebars__default["default"].registerHelper('formatPhone', phone => phone.replace(/[^\d|+]+/g, ''));
  Handlebars__default["default"].registerHelper('formatURL', url => url.replace(/^(https?:|)\/\//, '').replace(/\/$/, ''));
  Handlebars__default["default"].registerHelper('icon', (name, fallback) => (featherIcons.icons[name.toLowerCase()] || featherIcons.icons[fallback.toLowerCase()]).toSvg({
    width: 16,
    height: 16
  }));
  Handlebars__default["default"].registerHelper('join', arr => Intl.ListFormat ? new Intl.ListFormat('en').format(arr) : arr.join(', '));
  Handlebars__default["default"].registerHelper('markdown', doc => micromark__default["default"](doc));
  Handlebars__default["default"].registerHelper('stripTags', html => striptags__default["default"](html));
  const pdfRenderOptions = {
    mediaType: 'print'
  };
  const render = resume => {
    const template = fs__default["default"].readFileSync(path__default["default"].resolve(dirname, 'resume.hbs'), 'utf-8');
    const css = fs__default["default"].readFileSync(path__default["default"].resolve(dirname, 'style.css'), 'utf-8');
    return Handlebars__default["default"].compile(template)({
      css,
      resume
    });
  };

  exports.pdfRenderOptions = pdfRenderOptions;
  exports.render = render;

}));
//# sourceMappingURL=index.umd.js.map
